html *
{
   /*font-size: 1em !important;*/
   /*color: #000 !important;*/
   font-family: Geneva !important;
}

html,
body {
  /*width: 100%;*/
  height: 100%;
  font-family: 'Georgia';
  /*padding:0;*/
  /*margin:auto;*/
  /*text-align:center;*/
  overflow-x: hidden;
  background-color:black;
}

/*
** Landing page
*/

a{
    color:rgb(26,3,21);
}

a:hover{
    color:rgb(110,54,103);
}

#mooding {
    height:100%;
    /*width: 100%;*/
    background-color: rgba(26,3,21,0.8);
    background-color: rgb(26,3,21);
    /*background-image: url(img/bg-crete-greece.jpg);*/
    background-size: cover;
}

.flex-container {
    height: 100%;
    padding: 0;
    margin: 0;
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
   -webkit-align-items: center;
   align-items: center;
   -webkit-justify-content: center;
   justify-content: center;
   flex-wrap: wrap;
}

.flx-aln-start{
    -webkit-align-items: flex-start;
    align-items: flex-start;
}

.flx-aln-center{
    -webkit-align-items: center;
    align-items: center;
}

.flx-aln-end{
    -webkit-align-items: flex-end;
    align-items: flex-end;
}

.flx-jstf-start{
    -webkit-justify-content: flex-start;
    justify-content: flex-start;
}

.flx-jstf-center{
    -webkit-justify-content: center;
    justify-content: center;
}

.flx-jstf-end{
    -webkit-justify-content: flex-end;
    justify-content: flex-end;
}


.flx-jstf-spevn{
    justify-content : space-evenly;
}

.flex-row {
    flex-direction: row;
    /*justify-content : space-evenly;*/
    /*margin: 20px;*/
    /*margin: auto;*/
    /*border: 10px solid blue;*/
}

.flex-column {
    flex-direction: column;
    /*justify-content : space-evenly;*/
    /*border: 10px solid blue;*/
}

/*PALETTE*/

/*https://designschool.canva.com/blog/website-color-schemes/*/
/*24. Unexpected Color Combinations*/

/*
** Violet
** rgb(110,54,103)
** 6E3667
*/


/*
** Deep Plum
** rgb(26,3,21)
** 1A0315
*/

/*
** Electric lime
** rgb(136,211,23)
** 88D317
*/
.colored-arrow{
    fill: rgb(136,211,23);
}
/*
** Shadow
** rgb(83,83,83)
** 535353
*/

/*title*/
.welcome-bit.quest span{
    padding:2%;
    padding-right:4%;
    padding-left:4%;
    background-color: rgb(136,211,23);
}


.big-ass{
    /*color:#4717F6;*/
    /*color:#4717F6;*/
    font-size:36px;
}

.medium-ass{
    font-size:20px;
}

.medium-ass span label{
    padding:10px;
    padding-right:7px;
    padding-left:7px;
    padding-bottom:5px;
    user-select: none;
}

.medium-ass input[type=checkbox] ~ label{
    background-color: rgb(83,83,83);
    /*color: rgb(190,190,190);*/
    color: rgb(26,3,21);
    line-height:15px;
    padding-top:0;
    padding-bottom:0;
    -webkit-user-select: none; /* Chrome, Opera, Safari */
    -moz-user-select: none; /* Firefox 2+ */
    -ms-user-select: none; /* IE 10+ */
    user-select: none; /* Standard syntax */
}

.medium-ass input[type=checkbox]:checked ~ label{
    /*background-color: white;*/
    background-color: rgb(136,211,23);
    user-select: none;
}

.medium-ass span input{
    display: none;
}

.flex-item {
    /*border: 2px solid yellow;*/
    /*background-color: tomato;*/
    padding: 20px;
    margin: auto;
    /*margin: 20px;*/
    text-align: center;
    /*flex-basis: 50%;*/
    /*min-width:50%;*/
}

.squeezed {
    max-width:200px;
    margin: 40px;
    font-size:100px;
}

#mooding .clickable{
    /*color:#;*/
    /*border: 1px solid #A239CA;*/
    /*background-color: #4717F6;*/
    -moz-box-shadow: 3px 8px 8px #000;
    -webkit-box-shadow: 3px 8px 8px #000;
    box-shadow: 3px 8px 8px #000;
}

.welcome-bit a{
    color: rgb(110,54,103);
    text-decoration: none;
    pointer-events: none;
}


.welcome-bit a div{
    overflow:hidden;
    padding:0;
    pointer-events: auto;
    line-height:60px;
    background-color: rgb(110,54,103);
    color: rgb(26,3,21);
    text-decoration: none;
    /*background-color: #4717F6;*/
}

.welcome-bit a div:hover{
    background-color: rgb(136,211,23);
    /*color: rgb(110,54,103);*/
}

/*
** Main page
*/

.main-container {
    position: relative;
    /*margin:auto;*/
    /*text-align: center;*/
    width:100%;
    height:100%;
    /*display:inline-block;*/
    overflow: hidden;
}

.video-container {
    /*margin-left: auto;*/
    /*margin-right: auto;*/
    position: relative;
    /*padding-bottom: 56.25%;*/
    /*padding-top: 25px;*/
    height: 100%;
    width: 97%;
    margin-left:0.5%;
}

.video-container iframe {
    /*position: absolute;*/
    /*top: 0;*/
    /*left: 0;*/
    width: 100%;
    height: 96.5%;
}


/*
** Side bar
*/

.lsidebar-container{
    /*z-index:4;*/
    /*overflow-x:scroll;*/
    overflow:visible;
    top:0;
    position: absolute;
    /*width: 400px;*/
    width: 10px;
    height: 100%;
    left:0;
    pointer-events: none;
}

/*.lsidebar:hover{
    pointer-events: auto;
    /*width:30px;*/
    /*overflow:visible;*/
/*}*/
/*nav-section*/

/*.lsidebar{
    display:hidden;
    transition:all 1s;
}*/


/*.lsidebar {
    display:none;
}*/

.lsidebar{
    position: relative;
    /*overflow-y:scroll;*/
    /*visibility: visible;*/
    display:flex;
    flex-direction: column;
    pointer-events:auto;
    top:0;
    position: relative;
    font-weight: 100;
    /*width: 50%;*/
    /*height: 90%;*/
    overflow:visible;
}


.lsidebar .nav-section {
    /*overflow:visible;*/
    font-size:20px;
    font-weight: 100;
    height:100%;
    flex-wrap: nowrap;
}


.nav-section li {
    height:45px;
    width:45px;
    /*height:100px;*/
    position: relative;
    left:-4px;
    cursor: pointer;
    z-index:6;
    margin-top:3px;
    /*margin-bottom:0;*/
    list-style-type: none;
    transition:background 1s;
    border:3px solid transparent;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    color: white;
    background: rgb(136,211,23);
    box-sizing: border-box;
    border-radius: 0 50% 50% 0;
    -webkit-box-shadow: 3px 0px 5px 0px rgba(255,255,255,0.2);
    box-shadow: 3px 0px 5px 0px rgba(255,255,255,0.2);
    -webkit-box-shadow: -7px 0px 5px 0px rgb(255,255,255);
    box-shadow: 3px 0px 5px 0px rgb(255,255,255);
}

.nav-section:hover li:hover{
    margin-top:0px;
    margin-bottom:-3px;
    height:auto;
    width:auto;
}

.lsidebar ul:first-child {
    margin-top:40px !important;
}


.nav-section:hover li:hover,
.nav-section:focus li:hover,
.nav-section:hover li:focus,
.nav-section:focus li:focus {
    border-radius: 0;
    background: rgb(136,211,23);
    transition:background 0.6s;
    border:3px solid rgb(110,54,103);
    -webkit-box-shadow: 3px 0px 5px 0px rgba(30,30,30,0.2);
    box-shadow: 3px 0px 5px 0px rgba(30,30,30,0.2);
    -webkit-box-shadow: -7px 0px 5px 0px rgb(30,30,30);
    box-shadow: 3px 0px 5px 0px rgb(30,30,30);
    padding:33px!important;
}


.nav-section li .text,
.nav-section li .desc,
.nav-section li .desc-small{
    display:none;
    transition:all 0.4s;
    width:0;
}

.nav-section:hover li:hover .text,
.nav-section:hover li:hover .desc,
.nav-section:hover li:hover .desc-small{
    display:flex;
    width:100%;
    /*transition:width 10s;*/
    /*transition: all 2s;*/
}

.nav-section:hover li:hover .desc{
    font-size:10px;
    padding:10px;
}

.nav-section:hover li:hover .desc-small{
    font-size:8px;
}


.nav-section:hover li:hover .title{
    display:flex;
    white-space:nowrap;
    transition: all 1s;
    line-height:30px;
    padding:10px;
    padding-bottom:5px;
    border-bottom: 2px dotted white;
}

.nav-section:hover li:hover{
    padding:10px;
    padding-left:3px;
}


.nav-section li .title .logo img{
    height:40px;
    padding:5px;
}

.nav-section:hover li:hover img,
.nav-section:focus li:focus img{
    padding-left:5px;
}

.nav-section:hover li:hover .logo,
.nav-section:focus li:focus .logo{
    display:inline-flex;
}


/*
** Right menu
*/

.rsidebar-container{
    overflow:hidden;
    top:0;
    position: absolute;
    width: 350px;
    height: 100%;
    right:0;
    pointer-events: none;
}

.rsidebar {
    padding-top:20px;
    pointer-events:auto;
    display:flex;
    flex-direction: column;
    top:0;
    right: -90%;
    position: relative;
    font-weight: 100;
    width: 100%;
    height: 100%;
    z-index: 100;
    -webkit-box-shadow: -7px 0px 5px 0px rgba(0,0,0,0.4);
    box-shadow: -7px 0px 5px 0px rgba(0,0,0,0.4);
    color: white;
    background: rgb(136,211,23);
    background: rgba(136,211,23,0.4);
    transition:background 0.2s, right 1s;
    overflow-x:hidden;
    overflow-y:scroll;
}

.rsidebar:hover, .rsidebar:focus {
  background: rgba(136,211,23,1);
  right:-10%;
  transition: background 0.5s ease-in, right 0.7s;
}


.rsidebar .title {
  /*opacity: 100;*/
  /*top: 50%;*/
  position: absolute;
  top: 50%;
  transform: rotate(270deg);
  left: -12px;
  font-weight: 600;
  font-size: 15px;
  /*color:rgba(190,190,190,1);*/
  color: white;
  visibility: visible;
  transition: visibility 0.2s;
}

.rsidebar:hover .title ,
.rsidebar:focus .title {
    visibility:hidden;
    transition: visibility 0.2s;
}

.rsidebar .logo {
    display:flex;
    justify-content: center;
    width:90%;
    /*padding-right:5%;*/
    /*text-align:center;*/
    height:160px;
}

.rsidebar .logo div{
    /*height:100%;*/
    height:160px;
    width:75%;
    padding: 4px;
    /*padding-top: auto;*/
    padding-bottom: auto;
    /*width:auto;*/
    background-size:contain;
    background-repeat:no-repeat;
    background-position: center;
}



.rsidebar .disclaimer{
    text-align:center;
    width:90%;
    margin-left:2%;
    font-size:9px;
    padding-top:2px;
    padding:5px;
    padding-right: 15%;
    padding-left:10%;
    color:white;
}

.rsidebar .nav {
    display:flex;
    flex-direction: column;
    justify-content: flex-start;
    width:90%;
    font-size:20px;
    font-weight: 100;
    /*margin-top:2%;*/
    padding-left:10%;
}

.rsidebar:hover .nav,
.rsidebar:focus .nav{
    padding-left:0;
}


.rsidebar .nav li {
    line-height: 30px;
    width:100%;
    text-align:center;
    list-style-type: none;
    display: block;
}



.rsidebar .nav li span{
    display: block;
    color: inherit;
    padding: 0;
    padding-top: 7%;
    padding-bottom: 7%;
    border-bottom: 10px solid transparent;
}

.rsidebar .nav li span:hover{
    background-color:white;
    color: black;
    font-size:25px;
    border-bottom: 10px solid gray;
}

/*.rsidebar .nav li .sidebar-controls*/
.rsidebar .nav li:nth-child(-n+2) span{
    padding: 0;
    padding-top: 5px;
}


.rsidebar .credits{
    display:flex;
    flex-direction: column;
    /*height:50px;*/
    width:85%;
    align-items: flex-end;
    /*align-self: flex-end;*/
    justify-content: flex-end;
    flex-grow: 1;
}

.floatingcontrol-container {
    position:absolute;
    top:40%;
    left:0;
    width:97%;
    pointer-events: none;
}


.rsidebar .sidebar-controls{
    display:flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    /*width:90%;*/
    width:100%;
    /*flex-grow:1;*/
    /*height:100%;*/
    text-align:center;
}

.rsidebar .sidebar-controls div{
    /*height:100%;*/
    margin-left:auto;
    margin-right:auto;
    line-height: 30px;
    /*margin-bottom:10px;*/
    /*width:100%;*/
    /*align-self: flex-end;*/
    /*align-items: flex-end;*/
    /*justify-content: flex-end;*/
    text-align: bottom;
}

.rsidebar .sidebar-item-list{
    display:flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding-left: 0px;
}

.rsidebar .sidebar-item-list li{
    padding:10px;
    list-style-type: none;
}

.sidebar-item-list.channels button{
    /*border:3px solid magenta;*/
    background-size:contain;
    background-repeat:no-repeat;
    background-position: center;
    width:50px;
    height:50px;
    margin:0;
    opacity: 1;
    background-color: white;
    -webkit-box-shadow: 0px 0px 0px 0px rgba(0,0,0,0);
    box-shadow: 0px 0px 0px 0px rgba(0,0,0,0);
}

.sidebar-item-list.channels .active{
    opacity: 0.6;
    background-color: gray;
    -webkit-box-shadow: 3px 0px 3px 0px rgba(0,0,0,0.4);
    box-shadow: 3px 0px 3px 0px rgba(0,0,0,0.4);
    pointer-events: none;
}


.sidebar-item-list.channels li{
    color: black;

}


.control{
    visibility: visible;
    pointer-events:auto;
    line-height: 200px;
    font-weight: 800;
    transition: all 0.5s;
    transition: margin 1s;
}

.control img{
    cursor:pointer;
    width:100px;
    opacity: 0.2;
}

.control.first-vid {
    /*display:none;*/
    visibility: hidden;
    pointer-events:none;
}

.previous-vid.clickable{
    /*margin:2.5%;*/
    z-index:4;
}


.control:hover img{
    opacity: 1;
    transition: all 1s;
}

.floatingcontrol{
    justify-content: space-between;
    align-self: center;
}

/* bugfix for grayed down modal */
.modal-backdrop.in {
    z-index: auto;
}

.modal-content{
    background-color:rgb(136,211,23) !important;
    background-color:rgba(136,211,23, 0.8) !important;
    color: rgb(26,3,21) !important;
}

.modal-dialog{
    margin-left:auto;
    margin-right:auto;
    width:60%;
}

.modal-body{
    padding:40px;
    padding-top:20px;
    padding-bottom:20px;
}

.modal-sign{
    width:100%;
    text-align:right;
}

.modal-logo{
    padding:10px;
    padding-top:0;
    float:right;
    width: 200px;
}

.modal-links{
    text-align:center;
    justify-content: center;
}

.modal-links a{
    border-right: 2px solid black;
    border-left: 2px solid black;
    margin-top: 10px;
    margin-bottom: 10px;
    padding-right: 5px;
    padding-left: 5px;
    margin-right: 1px;
    margin-left: 1px;
}

.modal-links a:last-child{
    /*border-right: 0;*/
}
.modal-links a:first-child{
    /*border-left: 0;*/
}